/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { WebDriver, Capabilities, WebElementPromise } from 'selenium-webdriver';
import { By } from 'selenium-webdriver';
interface IAppiumWaitUntilFound {
    get(by: By, timeout?: number, message?: string): WebElementPromise;
    getByAccessibilityId(id: string, timeout?: number, message?: string): WebElementPromise;
    getByName(name: string, timeout?: number, message?: string): WebElementPromise;
    getById(id: string, timeout?: number, message?: string): WebElementPromise;
    getByclassName(className: string, timeout?: number, message?: string): WebElementPromise;
}
export interface IAppiumDriver extends IAppiumWaitUntilFound {
    start(): Promise<void>;
    stop(): Promise<void>;
    restart(): Promise<void>;
    isActive(): Promise<boolean>;
    seleniumDriver(): WebDriver;
    lastError(): any;
    sleep(ms: number): Promise<void>;
}
export declare function createAppiumWebDriver(capabilities: Capabilities | {}, url?: string): IAppiumDriver;
export {};
