/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Driver_1 = require("./Driver");
const Config_1 = require("./Config");
class PageObject {
    get driver() {
        if (this.webDriver2_) {
            return this.webDriver2_;
        }
        else {
            return Driver_1.driver;
        }
    }
    constructor(webDriver2) {
        this.webDriver2_ = webDriver2;
    }
    isPageLoaded() {
        throw new Error('Not implemented');
    }
    waitForPageLoaded(timeout) {
        const theTimeout = timeout ? timeout : Config_1.Config.getWaitForPageTimeout();
        return this.driver.wait2(() => {
            return this.isPageLoaded();
        }, theTimeout, 'Wait for page ' + this.constructor.name + ' timeout');
    }
}
exports.PageObject = PageObject;
//# sourceMappingURL=PageObject.js.map